Subject: Looking for DLL version number using objdump (or any command line utility)
From: [email-masked] (Dale Quigg)

2 Feb 1999 00:03:18 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain
To: "[email-masked]'" <[email-masked]>

Hi,

I know that I can use 'objdump -p filename' to get a bunch of info about
what DLLs are used by a .exe or .dll, but I'd like to be able to
determine the version of DLLs being used.

So I;
%  objdump -p bash.exe | egrep 'DLL Name|file format'
bash.exe:     file format pei-i386
        DLL Name: cygwin1.dll
        DLL Name: kernel32.dll
        DLL Name: user32.dll

Then;
%  type  cygwin1.dll kernel32.dll  user32.dll
cygwin1.dll is
/OpenSource/cygnus/cygwin-b20/H-i586-cygwin32/bin/cygwin1.dll
kernel32.dll is /WINNT/system32/kernel32.dll
user32.dll is /WINNT/system32/user32.dll

And finally, I try
% objdump -p  /WINNT/system32/user32.dll
[snip]
MajorOSystemVersion     4
MinorOSystemVersion     0
MajorImageVersion       4
MinorImageVersion       0
MajorSubsystemVersion   4
MinorSubsystemVersion   0
[snip]

I thought the .dll version the combination of the MajorSubsystemVersion
and MinorSubsystemVersion, but this doesn't match with what I see for
other .dlls using Explorer.

Should I be using something besides objdump for this?

Thanks,
Dale Quigg
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".